import { world } from "@minecraft/server";
import { RiptideEnvironment } from "./interfaces";
export const waitTicks = 3;
export const CustomTridents = [
    {
        itemID: "mc:chiron_spear_item",
        projectile: {
            entityID: "mc:chiron_spear_player",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            needsEnchant: true,
            environment: RiptideEnvironment.Water,
            velocity: 2.04,
            damage: 8,
            onRiptide: (player, level) => {
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    },
    {
        itemID: "mc:poseidon_trident_item",
        projectile: {
            entityID: "mc:poseidon_trident_player",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            needsEnchant: true,
            environment: RiptideEnvironment.Water,
            velocity: 2.04,
            damage: 8,
            onRiptide: (player, level) => {
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    }
];
