import { world, system} from '@minecraft/server';

const blocks = [
    "mc:pandora_box",
    "mc:mimic_chest"
  ]
  const directionMap = {
  'north': '180',
  'east': '-90',
  'west': '90',
  'south': '0'
};
world.beforeEvents.worldInitialize.subscribe(initEvent => {
       initEvent.blockComponentRegistry.registerCustomComponent("mc:interact", {
    onPlayerInteract: eventData => {
const player = eventData.player;
      const block = eventData.block;
const bloc = block.location;
const facing = block.permutation.getState('minecraft:cardinal_direction')
      const rotation = directionMap[facing];
      if (blocks.includes(block.typeId)) {
        if (!player.isSneaking) {
          if (block.typeId === "mc:pandora_box") {
            system.run(() => {
if (rotation !== undefined) {
player.dimension.runCommandAsync(`setblock ${bloc.x} ${bloc.y} ${bloc.z} air`);
  player.dimension.runCommandAsync(`summon mc:pandora_box_entity ${bloc.x} ${bloc.y} ${bloc.z} ~${rotation}~`);
}});}
          if (block.typeId === "mc:mimic_chest") {
            system.run(() => {
                if (rotation !== undefined) {
player.dimension.runCommandAsync(`setblock ${bloc.x} ${bloc.y} ${bloc.z} air`);
  player.dimension.runCommandAsync(`summon mc:mimic ${bloc.x} ${bloc.y} ${bloc.z} ~${rotation}~`);
}});}}
        }
        }
        }
        )})

world.afterEvents.playerBreakBlock.subscribe(eventData => {
	const blocks = [
    "mc:mimic_chest"
  ]
	const player = eventData.player;
      const block = eventData.block;
      const bloc = block.location;
      const brokenBlock = eventData.brokenBlockPermutation;
      if (blocks.includes(brokenBlock.type.id)) {
      	if (brokenBlock.type.id === "mc:mimic_chest") {
            system.run(() => {
              player.dimension.runCommandAsync(`setblock ${bloc.x} ${bloc.y} ${bloc.z} air`)
              player.dimension.runCommandAsync(`summon mc:mimic ${bloc.x} ${bloc.y} ${bloc.z} facing @p`);
            });
          }
          }
          })
      